#!/usr/bin/env python

import random
import math

km = 1.e3
M_S = 1.99e30
M_E = 5.97e24

totmass = 2.*M_E
multiple = 5.0
factor = 1.0

def a_Hill(a):
    return a*(1 + multiple*0.5*((q+q_)/3.)**(1./3.))/(1 - multiple*0.5*((q+q_)/3.)**(1./3.))

f = open("embryos.cfg", "w")
f.write("# Planet Name   Mass       Solid       Gas          Orb.el.\n")

a_ = 2.0
mass_ = 0.1*M_E
tot = 0.0
i = 0

while tot < totmass:
    i += 1
    mass = mass_
    mass_ = mass*factor
    q = mass/M_S
    q_ = mass_/M_S
    a = a_
    a_ = a_Hill(a)
    e = 0.0
    inc = 0.001*random.uniform(0,1)
    Omega = 360.*random.uniform(0,1)
    omega = 360.*random.uniform(0,1)
    M = 360.*random.uniform(0,1)

    f.write("Embryo%03d       %6.3e  %6.3e  %6.3e       %6.3f   %8.4f   %6.3e     %8.4f   %8.4f   %8.4f\n" % (i, mass/M_S, mass/M_S, 0.0, a, e, inc, Omega, omega, M))

    print "%2d  mass = %.3f M_E  tot = %.3f M_E  a = %.3f au" % (i, mass/M_E, tot/M_E, a)
    tot += mass

m = i
n = 100
D = 100.*km
rho = 3000.  # kg m^-3
R = D/2.
mass = 4./3.*math.pi*R**3 * rho

for i in xrange(0,n):
    a = 2.0 + 1.5 * i/n + 0.01
    e = 0.0
    inc = 0.01*random.uniform(0,1)
    Omega = 360.*random.uniform(0,1)
    omega = 360.*random.uniform(0,1)
    M = 360.*random.uniform(0,1)

    f.write("Asteroid%03d       %6.3e  %6.3e  %6.3e       %6.3f   %8.4f   %6.3e     %8.4f   %8.4f   %8.4f\n" % (m+i+1, mass/M_S, mass/M_S, 0.0, a, e, inc, Omega, omega, M))
    
f.close()


